<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.reyun</groupId>
  <artifactId>manage</artifactId>
  <packaging>war</packaging>
  <version>0.0.1-SNAPSHOT</version>
  <name>myweb Maven Webapp</name>
  <url>http://maven.apache.org</url>

  <repositories>
    <repository>
      <id>cloudera-repo-releases</id>
      <url>https://repository.cloudera.com/artifactory/cloudera-repos/</url>
    </repository>
  </repositories>

  <!-- 定义相关属性 -->
  <properties>
    <jdk-version>1.8</jdk-version>
    <junit-version>4.11</junit-version>
    <spring-version>4.3.4.RELEASE</spring-version>
    <maven.jetty.version>9.2.2.v20140723</maven.jetty.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <logback.version>1.1.3</logback.version>
  </properties>

  <profiles>
    <profile>
      <id>dev</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <label>dev</label>
        <!--数据源配置-->
        <datasource.driver>com.mysql.jdbc.Driver</datasource.driver>
        <!--//office-->
        <default.datasource.url>jdbc:mysql://192.168.2.57:3306/manager?characterEncoding=utf-8</default.datasource.url>
        <default.datasource.username>root</default.datasource.username>
        <default.datasource.password>reyun123</default.datasource.password>

        <office.url>jdbc:mysql://192.168.2.57:3306/office?characterEncoding=utf-8</office.url>
        <office.username>root</office.username>
        <office.password>reyun123</office.password>

        <tkio.url>jdbc:mysql://192.168.2.57:3306/trackingio?characterEncoding=utf-8</tkio.url>
        <tkio.username>root</tkio.username>
        <tkio.password>reyun123</tkio.password>

        <track.url>jdbc:mysql://192.168.2.57:3306/track?characterEncoding=utf-8</track.url>
        <track.username>root</track.username>
        <track.password>reyun123</track.password>

        <dmp.url>jdbc:mysql://192.168.2.57:3306/manager?characterEncoding=utf-8</dmp.url>
        <dmp.username>root</dmp.username>
        <dmp.password>reyun123</dmp.password>

        <io.url>jdbc:mysql://192.168.2.57:3306/userio?characterEncoding=utf-8</io.url>
        <io.username>root</io.username>
        <io.password>reyun123</io.password>

        <mail.host>smtp.exmail.qq.com</mail.host>
        <mail.username>manar@reyun.com</mail.username>
        <mail.password>Reyun123</mail.password>
        <mail.content_type>text/plain;charset\=GBK</mail.content_type>
        <mail.list>zhangliang</mail.list>
        <!-- 单位是分钟-->
        <mail.valid_time>3</mail.valid_time>

        <report.url>http://10.3.20.41:9010</report.url>

        <!--Redis setting-->
        <redis.key.validtime>120</redis.key.validtime>
        <redis.ip.requesttimes>5</redis.ip.requesttimes>
        <redis.ip.unknown.requesttimes>5</redis.ip.unknown.requesttimes>

        <redis.surl.host>192.168.2.57</redis.surl.host>
        <redis.surl.port>6379</redis.surl.port>

        <redis.event.host>192.168.2.57</redis.event.host>
        <redis.event.port>6379</redis.event.port>
        <redis.event.database>0</redis.event.database>
        <!--Redis setting//end-->
      </properties>
    </profile>

    <profile>
      <id>test</id>
      <properties>
        <label>product</label>
        <!--数据源配置-->
        <datasource.driver>com.mysql.jdbc.Driver</datasource.driver>
        <!--//office-->
        <default.datasource.url>jdbc:mysql://10.3.20.32:3306/manager?characterEncoding=utf-8</default.datasource.url>
        <default.datasource.username>root</default.datasource.username>
        <default.datasource.password>reyun.123</default.datasource.password>

        <office.url>jdbc:mysql://10.3.20.32:3306/office?characterEncoding=utf-8</office.url>
        <office.username>root</office.username>
        <office.password>reyun.123</office.password>

        <tkio.url>jdbc:mysql://10.3.20.32:3306/trackingio_test?characterEncoding=utf-8</tkio.url>
        <tkio.username>root</tkio.username>
        <tkio.password>reyun.123</tkio.password>

        <track.url>jdbc:mysql://10.3.20.32:3306/track_test?characterEncoding=utf-8</track.url>
        <track.username>root</track.username>
        <track.password>reyun.123</track.password>

        <dmp.url>jdbc:mysql://10.3.20.32:3306/manager?characterEncoding=utf-8</dmp.url>
        <dmp.username>root</dmp.username>
        <dmp.password>reyun.123</dmp.password>

        <io.url>jdbc:mysql://10.3.20.32:3306/userio?characterEncoding=utf-8</io.url>
        <io.username>root</io.username>
        <io.password>reyun.123</io.password>

        <mail.host>smtp.exmail.qq.com</mail.host>
        <mail.username>manxiaang@reyun.com</mail.username>
        <mail.password>Mxq123</mail.password>
        <mail.content_type>text/plain;charset\=GBK</mail.content_type>
        <mail.list>zhangliang</mail.list>
        <!-- 单位是分钟-->
        <mail.valid_time>3</mail.valid_time>

        <report.url>http://localhost:9010</report.url>
        <!--Redis setting-->
        <redis.key.validtime>120</redis.key.validtime>
        <redis.ip.requesttimes>5</redis.ip.requesttimes>
        <redis.ip.unknown.requesttimes>5</redis.ip.unknown.requesttimes>

        <redis.surl.host>10.3.20.33</redis.surl.host>
        <redis.surl.port>6379</redis.surl.port>

        <redis.event.host>10.3.20.33</redis.event.host>
        <redis.event.port>6379</redis.event.port>
        <redis.event.database>13</redis.event.database>
        <!--Redis setting//end-->
      </properties>
    </profile>

    <profile>
      <id>preview</id>
      <properties>
        <label>dev</label>
        <datasource.url>jdbc:mysql://reyuntest.c42s8pkbxrdg.rds.cn-north-1.amazonaws.com.cn:3306/trackingio_test?characterEncoding=utf-8</datasource.url>
        <datasource.username>reyuntest</datasource.username>
        <datasource.password>reyuntest</datasource.password>
        <datasource.driver>com.mysql.jdbc.Driver</datasource.driver>

        <report.url>http://172.31.12.82:8003</report.url>

      </properties>
    </profile>

    <profile>
      <id>aws</id>
      <properties>
        <label>product</label>
        <!--数据源配置-->
        <datasource.driver>com.mysql.jdbc.Driver</datasource.driver>
        <!--//office-->
        <default.datasource.url>jdbc:mysql://tkio.cma5jkozme68.rds.cn-north-1.amazonaws.com.cn:3306/manager?characterEncoding=utf-8</default.datasource.url>
        <default.datasource.username>trackingio</default.datasource.username>
        <default.datasource.password>trackingio</default.datasource.password>

        <office.url>jdbc:mysql://track.cma5jkozme68.rds.cn-north-1.amazonaws.com.cn:3306/office?characterEncoding=utf-8</office.url>
        <office.username>office</office.username>
        <office.password>office</office.password>

        <tkio.url>jdbc:mysql://tkio.cma5jkozme68.rds.cn-north-1.amazonaws.com.cn:3306/trackingio?characterEncoding=utf-8</tkio.url>
        <tkio.username>trackingio</tkio.username>
        <tkio.password>trackingio</tkio.password>

        <track.url>jdbc:mysql://track.cma5jkozme68.rds.cn-north-1.amazonaws.com.cn:3306/track?characterEncoding=utf-8</track.url>
        <track.username>admin</track.username>
        <track.password>admin!@#456</track.password>

        <dmp.url>jdbc:mysql://tkio.cma5jkozme68.rds.cn-north-1.amazonaws.com.cn:3306/manager?characterEncoding=utf-8</dmp.url>
        <dmp.username>trackingio</dmp.username>
        <dmp.password>trackingio</dmp.password>

        <io.url>jdbc:mysql://tkio.cma5jkozme68.rds.cn-north-1.amazonaws.com.cn:3306/userio?characterEncoding=utf-8</io.url>
        <io.username>reyun</io.username>
        <io.password>Reyun123</io.password>

        <mail.host>smtp.exmail.qq.com</mail.host>
        <mail.username>manager@reyun.com</mail.username>
        <mail.password>Reyun123</mail.password>
        <mail.content_type>text/plain;charset\=GBK</mail.content_type>
        <mail.list>zhangliang</mail.list>
        <!-- 单位是分钟-->
        <mail.valid_time>3</mail.valid_time>

        <report.url>http://internal-report-api-976419027.cn-north-1.elb.amazonaws.com.cn</report.url>

        <!--Redis setting-->
        <redis.key.validtime>120</redis.key.validtime>
        <redis.ip.requesttimes>5</redis.ip.requesttimes>
        <redis.ip.unknown.requesttimes>5</redis.ip.unknown.requesttimes>

        <redis.surl.host>trackingio-web.nr7fi4.0001.cnn1.cache.amazonaws.com.cn</redis.surl.host>
        <redis.surl.port>6379</redis.surl.port>

        <redis.event.host>trackingio-web.nr7fi4.0001.cnn1.cache.amazonaws.com.cn</redis.event.host>
        <redis.event.port>6379</redis.event.port>
        <redis.event.database>13</redis.event.database>
        <!--Redis setting//end-->
      </properties>
    </profile>
  </profiles>

  <!-- 定义依赖包 -->
  <dependencies>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>javax.servlet-api</artifactId>
      <version>3.0.1</version>
      <scope>provided</scope>
    </dependency>
    <!-- spring begin -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
      <version>${spring-version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-beans</artifactId>
      <version>${spring-version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-web</artifactId>
      <version>${spring-version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-webmvc</artifactId>
      <version>${spring-version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
      <version>${spring-version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context-support</artifactId>
      <version>${spring-version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.data</groupId>
      <artifactId>spring-data-jpa</artifactId>
      <version>1.3.2.RELEASE</version>
    </dependency>

    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aspects</artifactId>
      <version>${spring-version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aop</artifactId>
      <version>${spring-version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.data</groupId>
      <artifactId>spring-data-redis</artifactId>
      <version>1.7.1.RELEASE</version>
      <exclusions>
        <exclusion>
          <artifactId>spring-aop</artifactId>
          <groupId>org.springframework</groupId>
        </exclusion>
        <exclusion>
          <artifactId>spring-core</artifactId>
          <groupId>org.springframework</groupId>
        </exclusion>
        <exclusion>
          <artifactId>spring-context-support</artifactId>
          <groupId>org.springframework</groupId>
        </exclusion>
        <exclusion>
          <artifactId>spring-context</artifactId>
          <groupId>org.springframework</groupId>
        </exclusion>
        <exclusion>
          <artifactId>spring-beans</artifactId>
          <groupId>org.springframework</groupId>
        </exclusion>
        <exclusion>
          <artifactId>slf4j-api</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jcl-over-slf4j</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <!-- spring end -->

    <dependency>
      <groupId>net.sf.ehcache</groupId>
      <artifactId>ehcache</artifactId>
      <version>2.9.1</version>
      <exclusions>
        <exclusion>
          <artifactId>slf4j-api</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.googlecode.ehcache-spring-annotations</groupId>
      <artifactId>ehcache-spring-annotations</artifactId>
      <version>1.1.2</version>
      <type>jar</type>
      <scope>compile</scope>
      <exclusions>
        <exclusion>
          <artifactId>commons-codec</artifactId>
          <groupId>commons-codec</groupId>
        </exclusion>
        <exclusion>
          <artifactId>spring-aop</artifactId>
          <groupId>org.springframework</groupId>
        </exclusion>
        <exclusion>
          <artifactId>spring-core</artifactId>
          <groupId>org.springframework</groupId>
        </exclusion>
        <exclusion>
          <artifactId>slf4j-api</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
        <exclusion>
          <artifactId>spring-beans</artifactId>
          <groupId>org.springframework</groupId>
        </exclusion>
      </exclusions>
    </dependency>

    <!-- hibernate begin -->
    <dependency>
      <groupId>org.hibernate</groupId>
      <artifactId>hibernate-core</artifactId>
      <version>4.2.1.Final</version>
      <exclusions>
        <exclusion>
          <artifactId>javassist</artifactId>
          <groupId>org.javassist</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jboss-logging</artifactId>
          <groupId>org.jboss.logging</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.hibernate</groupId>
      <artifactId>hibernate-entitymanager</artifactId>
      <version>4.2.1.Final</version>
      <exclusions>
        <exclusion>
          <artifactId>javassist</artifactId>
          <groupId>org.javassist</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jboss-logging</artifactId>
          <groupId>org.jboss.logging</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.hibernate.common</groupId>
      <artifactId>hibernate-commons-annotations</artifactId>
      <version>4.0.1.Final</version>
      <exclusions>
        <exclusion>
          <artifactId>jboss-logging</artifactId>
          <groupId>org.jboss.logging</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.hibernate</groupId>
      <artifactId>hibernate-validator</artifactId>
      <version>5.0.0.Final</version>
    </dependency>
    <dependency>
      <groupId>org.xerial.snappy</groupId>
      <artifactId>snappy-java</artifactId>
      <version>1.0.4.1</version>
    </dependency>
    <!-- hibernate end -->


    <!--logger begin -->
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>1.7.5</version>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>jcl-over-slf4j</artifactId>
      <version>1.7.5</version>
      <exclusions>
        <exclusion>
          <artifactId>slf4j-api</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
      </exclusions>
    </dependency>

    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-classic</artifactId>
      <version>${logback.version}</version>
      <exclusions>
        <exclusion>
          <artifactId>slf4j-api</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
      </exclusions>
    </dependency>

    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-access</artifactId>
      <version>${logback.version}</version>
    </dependency>

    <dependency>
      <groupId>org.logback-extensions</groupId>
      <artifactId>logback-ext-spring</artifactId>
      <version>0.1.2</version>
      <exclusions>
        <exclusion>
          <artifactId>logback-classic</artifactId>
          <groupId>ch.qos.logback</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.javassist</groupId>
      <artifactId>javassist</artifactId>
      <version>3.20.0-GA</version>
    </dependency>
    <!-- logger end -->


    <!-- database begin -->
    <dependency>
      <groupId>mysql</groupId>
      <artifactId>mysql-connector-java</artifactId>
      <version>5.1.25</version>
    </dependency>
    <!-- database end -->

    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-annotations</artifactId>
      <version>2.8.5</version>
    </dependency>
    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-databind</artifactId>
      <version>2.8.5</version>
      <exclusions>
        <exclusion>
          <artifactId>jackson-annotations</artifactId>
          <groupId>com.fasterxml.jackson.core</groupId>
        </exclusion>
      </exclusions>
    </dependency>

    <dependency>
      <groupId>javax.inject</groupId>
      <artifactId>javax.inject</artifactId>
      <version>1</version>
    </dependency>

    <dependency>
      <groupId>redis.clients</groupId>
      <artifactId>jedis</artifactId>
      <version>2.8.0</version>
      <type>jar</type>
      <scope>compile</scope>
    </dependency>

    <dependency>
      <groupId>com.alibaba</groupId>
      <artifactId>druid</artifactId>
      <version>1.0.14</version>
    </dependency>

    <dependency>
      <groupId>net.sf.json-lib</groupId>
      <artifactId>json-lib</artifactId>
      <version>2.4</version>
      <classifier>jdk15</classifier>
      <exclusions>
        <exclusion>
          <artifactId>commons-lang</artifactId>
          <groupId>commons-lang</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-logging</artifactId>
          <groupId>commons-logging</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-beanutils</artifactId>
          <groupId>commons-beanutils</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-collections</artifactId>
          <groupId>commons-collections</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>commons-lang</groupId>
      <artifactId>commons-lang</artifactId>
      <version>2.6</version>
    </dependency>

    <dependency>
      <groupId>org.json</groupId>
      <artifactId>json</artifactId>
      <version>20090211</version>
    </dependency>

    <dependency>
      <groupId>commons-fileupload</groupId>
      <artifactId>commons-fileupload</artifactId>
      <version>1.2.2</version>
    </dependency>
    <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
      <version>2.4</version>
    </dependency>

    <dependency>
      <groupId>com.belerweb</groupId>
      <artifactId>pinyin4j</artifactId>
      <version>2.5.0</version>
    </dependency>

    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-email</artifactId>
      <version>1.2</version>
    </dependency>

    <!-- JMockit -->
    <dependency>
      <groupId>com.googlecode.jmockit</groupId>
      <artifactId>jmockit</artifactId>
      <version>1.5</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.googlecode.jmockit</groupId>
      <artifactId>jmockit-coverage</artifactId>
      <version>0.999.24</version>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.jdom</groupId>
      <artifactId>jdom</artifactId>
      <version>1.1.3</version>
    </dependency>

    <dependency>
      <groupId>com.amazonaws</groupId>
      <artifactId>aws-java-sdk-dynamodb</artifactId>
      <version>1.11.52</version>
      <exclusions>
        <exclusion>
          <artifactId>jackson-core</artifactId>
          <groupId>com.fasterxml.jackson.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jackson-databind</artifactId>
          <groupId>com.fasterxml.jackson.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-codec</artifactId>
          <groupId>commons-codec</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-logging</artifactId>
          <groupId>commons-logging</groupId>
        </exclusion>
        <exclusion>
          <artifactId>joda-time</artifactId>
          <groupId>joda-time</groupId>
        </exclusion>
      </exclusions>
    </dependency>

    <dependency>
      <groupId>org.jsoup</groupId>
      <artifactId>jsoup</artifactId>
      <version>1.6.3</version>
    </dependency>
    <!-- https://mvnrepository.com/artifact/org.codehaus.jettison/jettison -->
    <dependency>
      <groupId>org.codehaus.jettison</groupId>
      <artifactId>jettison</artifactId>
      <version>1.3.7</version>
    </dependency>

    <!-- https://mvnrepository.com/artifact/com.google.guava/guava -->
    <dependency>
      <groupId>com.google.guava</groupId>
      <artifactId>guava</artifactId>
      <version>20.0</version>
    </dependency>
    <dependency>
      <groupId>commons-httpclient</groupId>
      <artifactId>commons-httpclient</artifactId>
      <version>3.1</version>
      <exclusions>
        <exclusion>
          <artifactId>commons-codec</artifactId>
          <groupId>commons-codec</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-logging</artifactId>
          <groupId>commons-logging</groupId>
        </exclusion>
      </exclusions>
    </dependency>

    <dependency>
      <groupId>com.sun.jersey</groupId>
      <artifactId>jersey-core</artifactId>
      <version>1.8</version>
    </dependency>

    <!-- https://mvnrepository.com/artifact/org.webjars.npm/isemail -->
    <dependency>
      <groupId>org.webjars.npm</groupId>
      <artifactId>isemail</artifactId>
      <version>2.1.0</version>
    </dependency>

    <!-- https://mvnrepository.com/artifact/commons-net/commons-net -->
    <dependency>
      <groupId>commons-net</groupId>
      <artifactId>commons-net</artifactId>
      <version>3.6</version>
    </dependency>

    <!-- https://mvnrepository.com/artifact/dnsjava/dnsjava -->
    <dependency>
      <groupId>dnsjava</groupId>
      <artifactId>dnsjava</artifactId>
      <version>2.1.8</version>
    </dependency>

    <!-- https://mvnrepository.com/artifact/org.apache.poi/poi -->
    <dependency>
      <groupId>org.apache.poi</groupId>
      <artifactId>poi</artifactId>
      <version>3.16</version>
    </dependency>

    <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml -->
    <dependency>
      <groupId>org.apache.poi</groupId>
      <artifactId>poi-ooxml</artifactId>
      <version>3.16</version>
    </dependency>

    <dependency>
      <groupId>org.xerial.snappy</groupId>
      <artifactId>snappy-java</artifactId>
      <version>1.1.2.6</version>
    </dependency>

    <dependency>
      <groupId>org.anarres.lzo</groupId>
      <artifactId>lzo-core</artifactId>
      <version>1.0.5</version>
      <exclusions>
        <exclusion>
          <artifactId>commons-logging</artifactId>
          <groupId>commons-logging</groupId>
        </exclusion>
      </exclusions>
    </dependency>

    <dependency>
      <groupId>io.netty</groupId>
      <artifactId>netty-all</artifactId>
      <version>4.0.23.Final</version>
    </dependency>
    <dependency>
      <groupId>com.google.code.gson</groupId>
      <artifactId>gson</artifactId>
      <version>1.6</version>
    </dependency>
    <!-- cat //End-->

    <!-- Ads client library dependencies -->
    <dependency>
      <groupId>com.google.api-ads</groupId>
      <artifactId>ads-lib</artifactId>
      <version>3.9.0</version>
      <exclusions>
        <exclusion>
          <artifactId>guice</artifactId>
          <groupId>com.google.inject</groupId>
        </exclusion>
        <exclusion>
          <artifactId>slf4j-api</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-logging</artifactId>
          <groupId>commons-logging</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.google.api-ads</groupId>
      <artifactId>adwords-axis</artifactId>
      <version>3.9.0</version>
      <exclusions>
        <exclusion>
          <artifactId>commons-logging</artifactId>
          <groupId>commons-logging</groupId>
        </exclusion>
      </exclusions>
    </dependency>

    <!-- Third party dependencies -->
    <dependency>
      <groupId>com.google.http-client</groupId>
      <artifactId>google-http-client-jackson2</artifactId>
      <version>1.22.0</version>
      <exclusions>
        <exclusion>
          <artifactId>jackson-core</artifactId>
          <groupId>com.fasterxml.jackson.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>httpclient</artifactId>
          <groupId>org.apache.httpcomponents</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.beust</groupId>
      <artifactId>jcommander</artifactId>
      <version>1.48</version>
    </dependency>
  </dependencies>

  <!-- 配置构建 -->
  <build>
    <finalName>manager</finalName>
    <sourceDirectory>src/main/java</sourceDirectory>
    <resources>
      <resource>
        <directory>src/main/resources</directory>
        <filtering>true</filtering>
        <includes>
          <include>**/*.*</include>
        </includes>
        <excludes>
          <exclude>**/*.dat</exclude>
        </excludes>
      </resource>
      <resource>
        <directory>src/main/resources</directory>
        <includes>
          <include>**/*.dat</include>
        </includes>
      </resource>
      <resource>
        <directory>src/main/resources/logback/${label}</directory>
      </resource>
    </resources>

    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.1</version>
        <configuration>
          <encoding>UTF-8</encoding>
          <source>1.8</source>
          <target>1.8</target>
          <showWarnings>true</showWarnings>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>2.19</version>
        <configuration>
          <skipTests>true</skipTests>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-war-plugin</artifactId>
        <version>2.6</version>
      </plugin>

      <plugin>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-maven-plugin</artifactId>
        <version>${maven.jetty.version}</version>
        <configuration>
          <httpConnector>
            <port>8080</port>
          </httpConnector>
          <webAppConfig>
            <defaultsDescriptor>src/main/resources/webdefault.xml</defaultsDescriptor>
          </webAppConfig>
        </configuration>
      </plugin>
    </plugins>

  </build>
</project>